Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Class TypedEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ArmEvent, BidiSegmentEvent, ControlEvent, CTabFolderEvent, DisposeEvent, DragSourceEvent, DropTargetEvent, ExpansionEvent, ExtendedModifyEvent, FocusEvent, HelpEvent, HyperlinkEvent, KeyEvent, LineBackgroundEvent, LineStyleEvent, LocationEvent, MenuEvent, ModifyEvent, MouseEvent, PaintEvent, ProgressEvent, SelectionEvent, ShellEvent, StatusTextEvent, TextChangedEvent, TextChangingEvent, TitleEvent, WindowEvent

public class TypedEvent
extends org.eclipse.swt.internal.SWTEventObject

This is the super class for all typed event classes provided by SWT. Typed events contain particular information which is applicable to the event occurance.

See Also:
  `Event`, Serialized Form

Field Summary
`Object` | `data` a field for application use
`Display` | `display` the display where the event occurred
`int` | `time` the time that the event occurred.
`Widget` | `widget` the widget that issued the event

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TypedEvent(Event e)` Constructs a new instance of this class based on the information in the argument.
`TypedEvent(Object object)` Constructs a new instance of this class.

Method Summary
`String` | `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### display

    public Display display

  the display where the event occurred

  Since:
    2.0

### widget

    public Widget widget

  the widget that issued the event

### time

    public int time

  the time that the event occurred. NOTE: This field is an unsigned integer and should be AND'ed with 0xFFFFFFFFL so that it can be treated as a signed long.

### data

    public Object data

  a field for application use

Constructor Detail

### TypedEvent

    public TypedEvent(Object object)

  Constructs a new instance of this class.

Parameters:
  `object` - the object that fired the event

### TypedEvent

    public TypedEvent(Event e)

  Constructs a new instance of this class based on the information in the argument.

Parameters:
  `e` - the low level event to initialize the receiver with

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.